com.rs.xbrl

## Interface Instruction

- All Known Subinterfaces:
    InstructionPhase1, InstructionPhase2, InstructionPhase3
  All Known Implementing Classes:
    AncestorFilter, AssertionSet, AssertionSetAssertionArc, AttributeNode, AutoFillInstruction, BooleanFilter, Call, ConceptAspect, ConceptBalanceFilter, ConceptCustomAttributeFilter, ConceptDataTypeFilter, ConceptNameFilter, ConceptPeriodTypeFilter, ConceptSubstitutionGroupFilter, ConsistencyAssertion, ConsistencyAssertionFormulaArc, ConsistencyAssertionParameterArc, EntityIdentifierAspect, EntityIdentifierFilter, EntityRegexpFilter, EntitySchemeFilter, EqualityDefinitionResource, ExistenceAssetion, ExplicitDimensionAspect, ExplicitDimensionFilter, FactVariableResource, FLArc, FLAspect, FLAssertion, FLAttribute, FLFilter, FLUnitMeasures, FLXMLFragment, FormulaDef, FormulaLink, FormulaResource, FragmentNode, FunctionResource, GeneralFilter, GeneralMeasuresFilter, GeneralVariableResource, GenericRelationship, GenericResource, InstructionAbstract, LinkedLists, LocationFilter, MatchFilter, Message, Name2QName, NilFilter, OCCEmptyAspect, OCCFragmentsAspect, OCCXPathAspect, PackInstruction, ParameterResource, ParentFilter, PeriodAspect, PeriodEndFilter, PeriodFilter, PeriodForeverFilter, PeriodInstantDurationFilter, PeriodInstantFilter, PeriodStartFilter, PrecisionFilter, PreconditionResource, PropertySet, RegexpEntityIdentifierFilter, RelativeFilter, RenderHintsInstruction, Return, ScenarioFilter, SegmentFilter, SiblingFilter, SingleMeasureFilter, SpecificEntityIdentifierFilter, TypedDimensionAspect, TypedDimensionFilter, UnitAspect, UnitMeasureAspect, ValueAssertion, VariableArc, VariableFilterArc, VariableSetFilterArc, Version, XBRLPack

      public interface Instruction

  The Interface Instruction.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(GenerationContext gc)` Executes the instruction using the TaxonomyBuilder as a parameter.

- - ### Method Detail

    - #### execute

          void execute(GenerationContext gc)

      Executes the instruction using the TaxonomyBuilder as a parameter.
      Parameters:
        `gc` - the instance of the GenerationContext from which all parameters can be obtained